Add debian build folder to OLSRd. Create a debian package just with "dpkg-buildpackag...
authorHenning Rogge <hrogge@googlemail.com>
Sun, 5 Dec 2010 19:09:29 +0000 (20:09 +0100)
committerHenning Rogge <hrogge@googlemail.com>
Sun, 5 Dec 2010 19:09:29 +0000 (20:09 +0100)
21 files changed:
.gitignore
Makefile
debian/README.Debian [new file with mode: 0644]
debian/changelog [new file with mode: 0644]
debian/compat [new file with mode: 0644]
debian/control [new file with mode: 0644]
debian/copyright [new file with mode: 0644]
debian/olsrd-default [new file with mode: 0644]
debian/olsrd-plugins.dirs [new file with mode: 0644]
debian/olsrd-plugins.docs [new file with mode: 0644]
debian/olsrd.conf [new file with mode: 0644]
debian/olsrd.dirs [new file with mode: 0644]
debian/olsrd.docs [new file with mode: 0644]
debian/olsrd.init [new file with mode: 0644]
debian/olsrd.postinst [new file with mode: 0644]
debian/rules [new file with mode: 0644]
debian/todo [new file with mode: 0644]
lib/bmf/README_BMF [moved from lib/bmf/README_BMF.txt with 100% similarity]
make/Makefile.linux
src/olsr_switch/ohs_cmd.c
unmaintained/README-Olsr-Switch.html

index dbe1180..f576b0f 100644 (file)
@@ -35,3 +35,15 @@ gui/win32/Shim/Release/
 .cproject
 .project
 .settings
+build-stamp
+configure-stamp
+debian/olsrd/
+debian/olsrd-plugins/
+debian/olsrd-plugins.debhelper.log
+debian/olsrd.debhelper.log
+debian/files
+debian/olsrd-plugins.substvars
+debian/olsrd.postinst.debhelper
+debian/olsrd.postrm.debhelper
+debian/olsrd.prerm.debhelper
+debian/olsrd.substvars
index 7bc3b80..1cadd04 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -169,70 +169,100 @@ libs_install install_libs:
 httpinfo:
                $(MAKECMD) -C lib/httpinfo clean
                $(MAKECMD) -C lib/httpinfo 
+
+httpinfo_install:
                $(MAKECMD) -C lib/httpinfo DESTDIR=$(DESTDIR) install 
 
 tas:
                $(MAKECMD) -C lib/tas clean
                $(MAKECMD) -C lib/tas
+
+tas_install:
                $(MAKECMD) -C lib/tas DESTDIR=$(DESTDIR) install
 
 dot_draw:
                $(MAKECMD) -C lib/dot_draw clean
                $(MAKECMD) -C lib/dot_draw
+
+dot_draw_install:
                $(MAKECMD) -C lib/dot_draw DESTDIR=$(DESTDIR) install
 
 nameservice:
                $(MAKECMD) -C lib/nameservice clean
                $(MAKECMD) -C lib/nameservice
+
+nameservice_install:
                $(MAKECMD) -C lib/nameservice DESTDIR=$(DESTDIR) install
 
 dyn_gw:
                $(MAKECMD) -C lib/dyn_gw clean
                $(MAKECMD) -C lib/dyn_gw
+
+dyn_gw_install:
                $(MAKECMD) -C lib/dyn_gw DESTDIR=$(DESTDIR) install
 
 dyn_gw_plain:
                $(MAKECMD) -C lib/dyn_gw_plain clean
                $(MAKECMD) -C lib/dyn_gw_plain
+
+dyn_gw_plain_install:
                $(MAKECMD) -C lib/dyn_gw_plain DESTDIR=$(DESTDIR) install
 
 secure:
                $(MAKECMD) -C lib/secure clean
                $(MAKECMD) -C lib/secure
+
+secure_install:
                $(MAKECMD) -C lib/secure DESTDIR=$(DESTDIR) install
 
 pgraph:
                $(MAKECMD) -C lib/pgraph clean
                $(MAKECMD) -C lib/pgraph 
+
+pgraph_install:
                $(MAKECMD) -C lib/pgraph DESTDIR=$(DESTDIR) install 
 
 bmf:
                $(MAKECMD) -C lib/bmf clean
                $(MAKECMD) -C lib/bmf 
+
+bmf_install:
                $(MAKECMD) -C lib/bmf DESTDIR=$(DESTDIR) install 
 
 quagga:
                $(MAKECMD) -C lib/quagga clean
                $(MAKECMD) -C lib/quagga 
+
+quagga_install:
                $(MAKECMD) -C lib/quagga DESTDIR=$(DESTDIR) install 
 
 mdns:
                $(MAKECMD) -C lib/mdns clean
                $(MAKECMD) -C lib/mdns 
+
+mdns_install:
                $(MAKECMD) -C lib/mdns DESTDIR=$(DESTDIR) install 
+
 txtinfo:
                $(MAKECMD) -C lib/txtinfo clean
                $(MAKECMD) -C lib/txtinfo 
+
+txtinfo_install:
                $(MAKECMD) -C lib/txtinfo DESTDIR=$(DESTDIR) install 
 
 arprefresh:
                $(MAKECMD) -C lib/arprefresh clean
                $(MAKECMD) -C lib/arprefresh
+
+arprefresh_install:
                $(MAKECMD) -C lib/arprefresh DESTDIR=$(DESTDIR) install
 
 watchdog:
                $(MAKECMD) -C lib/watchdog clean
                $(MAKECMD) -C lib/watchdog
+
+
+watchdog_install:
                $(MAKECMD) -C lib/watchdog DESTDIR=$(DESTDIR) install
 
 build_all:     all switch libs
diff --git a/debian/README.Debian b/debian/README.Debian
new file mode 100644 (file)
index 0000000..7f6ba30
--- /dev/null
@@ -0,0 +1,79 @@
+olsrd for Debian
+----------------
+
+
+Configuration
+-------------
+
+Before running olsrd you must edit the default configuration file
+/etc/olsrd/olsrd.conf (the location differs in the debian package from the 
+upstream default /etc/olsrd.conf). The one change you must make is to define
+on which interfaces olsrd is supposed to act on.
+
+If you want, you can run olsrd via init.d by editing /etc/default/olsrd - the
+default configuration is to not start olsrd on boot. It needs root privileges
+to run olsrd. 
+
+To debug olsrd you can start it with "/etc/init.d/olsrd start debug".
+
+You also need to configure your network interface. For example, for 
+freifunk.hamburg.net the following settings are used:
+
+       ifconfig eth1 $YOUR_IP broadcast 10.127.255.255
+       iwconfig eth1 essid hamburg.freifunk.net channel 10 mode ad-hoc enc off
+
+Options in the olsrd config file can also be overridden by command line
+options or in /etc/default/olsrd. See the manual pages olsrd(8) and 
+olsrd.conf(5) for details.
+
+If debug level is set to 0 olsrd will detach and run in the background (this 
+is the default in the debian package), if not it will keep running in your 
+shell.
+
+
+Plugins
+-------
+
+The following plugins are included in the olsrd-plugins package and are 
+explained in detail in /usr/share/doc/olsrd-plugins:
+
+- httpinfo     - tiny webserver for information purposes 
+- dyn_gw       - dynamically announce uplinks
+- dot_draw     - generates output (over a TCP socket) in the dot format
+- secure       - secure OLSR routing with a shared key
+- nameservice  - announce hostnames and dns servers
+- bmf          - basic multicast forwarding plugin for olsrd
+- txtinfo
+
+The following plugins are not included in the olsrd-plugins binary package:
+
+- quagga       - quagga plugin
+- tas          - (not at all) tiny application server, no useful apps exist
+- powerinfo    - displays /proc/apm on 127.0.0.1:8888
+- pgraph       - obsoleted by httpinfo and dot-draw
+- mini         - minimal example plugin, useful as a howto for writing plugins
+
+If you need them, you can easily build them from the debian source package 
+yourself: define which (additional) plugins you want in debian/rules, and 
+rebuild the package. And if you tell me a good reason why they should be 
+included in the binary package, I'll be glad to add them :)
+
+
+About this package
+------------------
+
+This is actually the unik-olsrd implementation, but because it's the only 
+commonly used one (the other two, nrl- and inria-olsrd are mostly used 
+where they were written) and the one found on www.olsr.org, so I decided to 
+call the package olsrd.
+
+The config file shipped in /etc/olsrd/olsrd.conf is based on the one from
+http://olsrexperiment.de/sven-ola/nylon/packages/olsrd/files/olsrd.conf-sven-ola 
+and has been successfully used in the freifunk networks in Berlin and Hamburg
+(Germany).
+
+The plugins are installed in /usr/lib/olsrd/ which differs from the upstream 
+default /usr/lib/.
+
+
+ -- Holger Levsen <holger@debian.org>  Tue,  8 Jul 2008 18:09:15 +0200
diff --git a/debian/changelog b/debian/changelog
new file mode 100644 (file)
index 0000000..87ca478
--- /dev/null
@@ -0,0 +1,227 @@
+olsrd (0.6.1-1) UNRELEASED; urgency=low
+
+  * New upstream version with quite some fixes and new features, see upstream
+    changelog for details. Quoting from there:
+     Change in version number system. No more -rcX for release candidates and
+     -rX for bugfix releases. In future bugfix releases or updates of plugins
+     will increase the third digit of the version string while feature 
+     releases will increase the first and/or the second one.
+   Removed the following patches from series trying to make it build again:
+   - 100-debug_level.patch
+   - 240-plugin-install-targets.patch
+   - 260-quagga-plugin-detect-protocol-version.patch
+   - 270-make-kfbsd.patch
+   
+  THIS IS WORK IN PROGRESS and needs checking whether those patches are still
+  needed. Also 0.6.1 is out.
+
+  * Update package description, OLSR is no experimental protocol anymore. 
+
+ -- Holger Levsen <holger@debian.org>  Fri, 21 May 2010 23:47:52 +0200
+
+olsrd (0.5.6-r8-1) unstable; urgency=low
+
+  * New upstream version, the eighth maintenance release of 0.5.6, introducing
+    options to set the source and destination IP of the OLSR packets and a 
+    more flexible handling config handling as well as some bug fixes including
+    memory leaks.
+
+ -- Holger Levsen <holger@debian.org>  Wed, 20 Jan 2010 01:13:43 +0000
+
+olsrd (0.5.6-r7-1) unstable; urgency=low
+
+  * New upstream version, the seventh maintenance release of 0.5.6, with some
+    improvements in the ETX-FFmetric and new stabilization patches for the 
+    route generation.
+
+ -- Holger Levsen <holger@debian.org>  Wed, 11 Nov 2009 17:53:26 +0100
+
+olsrd (0.5.6-r6-3) unstable; urgency=low
+
+  * Brown paper bag release: add 270-make-kfbsd.patch to debian/patches/series
+    so it actually gets applied. (Closes: #544758)
+
+ -- Holger Levsen <holger@debian.org>  Mon, 19 Oct 2009 11:31:38 +0200
+
+olsrd (0.5.6-r6-2) unstable; urgency=low
+
+  * Do not override the general setting in Makefile.kfbsd to "honor DESTDIR 
+    in make install". Thanks to Petr Salinger for the patch. (Closes: #544758)
+
+ -- Holger Levsen <holger@debian.org>  Sat, 17 Oct 2009 13:00:41 +0000
+
+olsrd (0.5.6-r6-1) unstable; urgency=low
+
+  * New upstream version, the sixth maintenance release of 0.5.6, adding
+    support for Debian kfreebsd (Closes: #544758) and including fixes for
+    httpinfo, txtinfo and dotdraw plugin to prevent them blocking in case of
+    timed out outgoing connections. 
+    Drop 250-dot-draw-plugin-honor-accept-parameter.patch as it has been
+    included in the new upstream release.
+  * Fix incorrect runlevels and dependencies in init.d LSB header, thanks to
+    Petter Reinholdtsen for spotting the issues and providing the patch.
+    (Closes: #548607)
+  * Bump standards version to 3.8.3, no changes necessary.
+
+ -- Holger Levsen <holger@debian.org>  Sat, 10 Oct 2009 14:55:37 +0200
+
+olsrd (0.5.6-r5-1) unstable; urgency=low
+
+  * New upstream version, the fifth maintenance release of 0.5.6.
+  * Add patch by Sebastian Harl to add a listen parameter to the dot_draw
+    plugin. (Closes: #532573) - Thanks, Sebastian! 
+  * Re-enable quagga plugin. Since olsrd is licenced under the 3 clause BSD 
+    licence and quagga is GPL-2 code, the resuling binary is GPL-2 licenced
+    too, and thats fine. (Closes: #532761)
+    Add patch by Florian Forster to determine quagga protocol version - thanks
+    Florian!
+  * Add descriptions of quagga, bmf and txtinfo plugins to package 
+    description. (Closes: #532765)
+  * Bump standards version to 3.8.2.
+  * Update years in debian/copyright.
+
+ -- Holger Levsen <holger@debian.org>  Tue, 04 Aug 2009 12:10:35 +0000
+
+olsrd (0.5.6-r4-1) unstable; urgency=low
+
+  * New upstream version, the fourth maintenance release of 0.5.6.
+  * olsrd.init: 
+    - do not write the pidfile until olsrd has actually been started
+      (Closes: #519842) - thanks to Sebastian Reichel for the bug report!
+    - only start olsrd if it is not already running. 
+  * Bump standards-version to 3.8.1.
+
+ -- Holger Levsen <holger@debian.org>  Sat, 30 May 2009 09:14:27 +0000
+
+olsrd (0.5.6-r3-1) unstable; urgency=low
+
+  * New upstream release, the third maintenance release of 0.5.6.
+  * Adopt debian/patches/200-etc-olsrd.patch to cope with the whitespace
+    changes in the new release.
+
+ -- Holger Levsen <holger@debian.org>  Sat, 14 Mar 2009 18:31:55 +0100
+
+olsrd (0.5.6~rc7-1) unstable; urgency=low
+
+  * New upstream release candidate.
+  * Use a PID file. (Closes: #484128)
+  * Bump standards-version to 3.8.0, no changes needed.
+  * Install the plugins into /usr/lib/olsrd/, to get rid off all the lintian
+    overrides. Adapted README.Debian to reflect that.
+  * Compile the source without DESTDIR, just install it to DESTDIR.
+  * Modify the plugin targets in the upstream Makefile to provide distinct
+    $pluginname_install targets, otherwise DESTDIR shows up in rpath. 
+  * Drop debian/patches/210-txtinfo-Makefile.patch as it has been adapted by
+    upstream.
+
+ -- Holger Levsen <holger@debian.org>  Sat, 12 Jul 2008 16:38:15 +0000
+
+olsrd (0.5.5-3) unstable; urgency=low
+
+  * No longer work around a bug in debhelper (#470913) in debian/rules,
+    which was introduced in 0.5.5-2 to fix #471627. Due to this, it's also not
+    necessary to manually uncompress and compress some manpages, as debhelper
+    now handles this as well.
+
+ -- Holger Levsen <holger@debian.org>  Wed,  2 Apr 2008 13:06:27 +0200
+
+olsrd (0.5.5-2) unstable; urgency=low
+
+  * update debian/copyright to clarify that src/cfgparser/oparse.(c|h)
+    has a special exception which allows distributing it under other
+    conditions than the GPL in special cases
+  * fix handling of zipped manpages (Closes: #471627)
+  * remove the quagga plugin from the binary package, as it is GPL licenced
+    and cannot be distributed together with the BSD licenced olsrd 
+  * remove linda overwrites as linda is deprecated
+  * updated lintian overwrites
+
+ -- Holger Levsen <holger@debian.org>  Mon, 31 Mar 2008 08:50:25 +0000
+
+olsrd (0.5.5-1) unstable; urgency=low
+
+  * new upstream version
+  * removed unused lintian overwrites
+  * upgraded to policy 3.7.3, no changes requiered
+  * made debian/copyright machine readable following
+    http://wiki.debian.org/Proposals/CopyrightFormat and converted it to utf8
+  * patch upstream Makefile to use /usr/lib on amd64
+    (Closes: #461604)
+
+ -- Holger Levsen <holger@debian.org>  Sat, 09 Feb 2008 09:39:28 +0000
+
+olsrd (0.5.4-2) unstable; urgency=low
+
+  * clean up olsrd makefile, fix a very annoying dependency bug in the olsrd
+    build system (Closes: #452100) - taken from OpenWRT, thanks to Felix
+    Fietkau 
+
+ -- Holger Levsen <holger@debian.org>  Tue, 20 Nov 2007 14:26:34 +0100
+
+olsrd (0.5.4-1) unstable; urgency=low
+
+  * new upstream version
+  * add Homepage and Vcs-* headers to debian/control
+  * olsrd.conf: small improvements as suggested by Jens Nachtigall - Thanks!
+
+ -- Holger Levsen <holger@debian.org>  Fri, 16 Nov 2007 12:02:21 +0000
+
+olsrd (0.5.3-3) unstable; urgency=low
+
+  * Undefine STRIP when running make install and instead use dh_strip so that 
+    DEB_BUILD_OPTIONS=nostrip can be used (Closes: #437676) 
+
+ -- Holger Levsen <holger@debian.org>  Sat, 18 Aug 2007 23:06:02 +0200
+
+olsrd (0.5.3-2) unstable; urgency=low
+
+  * improved olsrd.conf settings (Thanks elektra!) and made olsrd quiet on 
+    default
+
+ -- Holger Levsen <holger@debian.org>  Sun, 12 Aug 2007 19:38:19 +0200
+
+olsrd (0.5.3-1) unstable; urgency=low
+
+  * new upstream version (Closes: #404899, #405331)
+  * include bmf, quagga and txtinfo plugins in binary package
+
+ -- Holger Levsen <holger@debian.org>  Sun,  5 Aug 2007 01:49:19 +0200
+
+olsrd (0.5.2-1) unstable; urgency=low
+
+  * new upstream release (Closes: #426580)
+  * added build-dependency on bison and flex
+  * removed dependency on libpthread2 (Closes: #412752)
+  * maintainer address updated
+  * updated README.Debian
+  * cleaned up debian/patches/ (from openwrt) as they are included
+    upstream by now
+  * added debian/todo in source
+  * make init-script exit gracefully if stopping olsrd fails (Closes: #412936)
+
+ -- Holger Levsen <holger@debian.org>  Wed,  1 Aug 2007 00:58:23 +0200
+
+olsrd (0.4.10-3) unstable; urgency=low
+
+  * improved Makefile clean target to allow rebuilds
+  * fixed and improved broken /etc/default/olsrd and /etc/init.d/olsrd
+  * improved README.Debian and olsrd.conf
+
+ -- Holger Levsen <debian@layer-acht.org>  Wed, 20 Dec 2006 22:57:21 +0000
+
+olsrd (0.4.10-2) unstable; urgency=low
+
+  * fix debian/copyright (gui/linux-gtk is GPL licenced, not BSD like the rest)
+  * upgraded debian/compat debhelper source-depends version to 5 (as it's enough 
+    if 0.4.10-1 builds on sarge without changes)
+  * use ${binary:Version} format for olsrd-plugins depends on olsrd, for the
+    same reason
+
+ -- Holger Levsen <debian@layer-acht.org>  Sun, 17 Dec 2006 18:51:00 +0000
+
+olsrd (0.4.10-1) unstable; urgency=low
+
+  * Initial release (Closes: #401307, #243527)
+
+ -- Holger Levsen <debian@layer-acht.org>  Sat,  9 Dec 2006 17:04:26 +0000
+
diff --git a/debian/compat b/debian/compat
new file mode 100644 (file)
index 0000000..7ed6ff8
--- /dev/null
@@ -0,0 +1 @@
+5
diff --git a/debian/control b/debian/control
new file mode 100644 (file)
index 0000000..287f860
--- /dev/null
@@ -0,0 +1,40 @@
+Source: olsrd
+Section: net
+Priority: extra
+Maintainer: Holger Levsen <holger@debian.org>
+Build-Depends: debhelper (>= 5), quilt, bison, flex
+Standards-Version: 3.8.3
+Homepage: http://olsr.org/
+Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/olsrd/
+Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/olsrd/
+
+Package: olsrd
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: optimized link-state routing daemon (unik-olsrd)
+ unik-olsrd is an implementation of the Optimized Link State Routing protocol 
+ for Mobile Ad-Hoc networks(MANET). The protocol is described in RFC3626. It 
+ is designed to be run as a standalone server process.
+ .
+ OLSR operates as a table driven, proactive protocol, i.e., it exchanges 
+ topology information with other nodes of the network regularly. It is 
+ developed to work independently from other protocols. Likewise, OLSR makes no
+ assumptions about the underlying link-layer.
+
+Package: olsrd-plugins
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, olsrd (= ${binary:Version})
+Description: various plugins to enhance olsrd
+ olsrd is an implementation of the Optimized Link State Routing protocol
+ for Mobile Ad-Hoc networks(MANET)
+ .
+ The following plugins are available:
+ .
+  * httpinfo      - tiny webserver for information purposes 
+  * dyn_gw        - dynamically announce uplinks
+  * dot_draw      - generates output (over a TCP socket) in the dot format
+  * secure        - secure OLSR routing with a shared key
+  * nameservice   - announce hostnames and dns servers
+  * bmf           - basic multicast forwarding
+  * quagga        - import external routes from quagga
+  * txtinfo       - display information about the OSLR node
diff --git a/debian/copyright b/debian/copyright
new file mode 100644 (file)
index 0000000..f5ff18e
--- /dev/null
@@ -0,0 +1,177 @@
+This package was downloaded from http://www.olsr.org/releases/
+
+Files: debian/*
+Copyright: © 2006-2009 Holger Levsen <holger@debian.org>
+Licence: GPL-2+
+ The Debian packaging is free software; you can redistribute it and/or 
+ modify it under the terms of the GNU General Public License as published
+ by the Free Software Foundation; either version 2, or (at your option)
+ any later version.
+ On Debian systems, the full text of the GPL-2+ is available at
+ /usr/share/common-licenses/GPL-2
+
+Files: *
+Copyright: © 2003-2005 Andreas Tønnesen <andreto@olsr.org>, 2004 Thomas Lopatic 
+ <thomas@lopatic.de>, 2006, 2007 Sven-Ola <sven-ola-aet-gmx.de>, 2005, Bruno Randolf <bruno.randolf@4g-systems.biz>, 2007 Bernd Petrovitsch <bernd@firmix.at> and 
+ 2006 Jens Nachtigall <nachtigall@web.de>
+Licence: BSD-3
+ | All rights reserved.
+ |
+ | Redistribution and use in source and binary forms, with or without 
+ | modification, are permitted provided that the following conditions 
+ | are met:
+ |
+ | * Redistributions of source code must retain the above copyright 
+ |   notice, this list of conditions and the following disclaimer.
+ | * Redistributions in binary form must reproduce the above copyright 
+ |   notice, this list of conditions and the following disclaimer in 
+ |   the documentation and/or other materials provided with the 
+ |   distribution.
+ | * Neither the name of olsr.org, olsrd nor the names of its 
+ |   contributors may be used to endorse or promote products derived 
+ |   from this software without specific prior written permission.
+ |
+ | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
+ | "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
+ | LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
+ | FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
+ | COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
+ | INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
+ | BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
+ | LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
+ | CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
+ | LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
+ | ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
+ | POSSIBILITY OF SUCH DAMAGE.
+
+Files: gui/linux-gtk/*
+Copyright: © 2003 Andreas Tønnesen (andreto@ifi.uio.no)
+Licence: GPL-2+
+ olsrd/gui/linux-gtk is free software; you can redistribute it and/or 
+ modify it under the terms of the GNU General Public License as published
+ by the Free Software Foundation; either version 2, or (at your option)
+ any later version.
+ On Debian systems, the full text of the GPL-2+ is available at
+ /usr/share/common-licenses/GPL-2
+
+Files: lib/bmf*
+Copyright: © 2005 - 2007, Thales Communications, Huizen, The Netherlands.
+ Written by Erik Tromp.
+Licence: BSD-3
+ | All rights reserved.
+ |
+ | Redistribution and use in source and binary forms, with or without 
+ | modification, are permitted provided that the following conditions 
+ | are met:
+ | 
+ | * Redistributions of source code must retain the above copyright 
+ |   notice, this list of conditions and the following disclaimer.
+ | * Redistributions in binary form must reproduce the above copyright 
+ |   notice, this list of conditions and the following disclaimer in 
+ |   the documentation and/or other materials provided with the 
+ |   distribution.
+ | * Neither the name of Thales, BMF nor the names of its 
+ |   contributors may be used to endorse or promote products derived 
+ |   from this software without specific prior written permission.
+ |
+ | THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
+ | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
+ | WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
+ | IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
+ | INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
+ | BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
+ | DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
+ | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
+ | OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
+ | OF THE POSSIBILITY OF SUCH DAMAGE.
+
+Files: src/cfgparser/oparse.c src/cfgparser/oparse.h
+Copyright: © 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
+   Free Software Foundation, Inc.
+Licence: GPL-2+
+ | src/cfgparser/oparse.(c|h) is free software; you can redistribute it and/or 
+ | modify it under the terms of the GNU General Public License as published
+ | by the Free Software Foundation; either version 2, or (at your option)
+ | any later version.
+ | On Debian systems, the full text of the GPL-2+ is available at
+ | /usr/share/common-licenses/GPL-2
+ |
+ | As a special exception, you may create a larger work that contains
+ |  part or all of the Bison parser skeleton and distribute that work
+ |  under terms of your choice, so long as that work isn't itself a
+ |  parser generator using the skeleton or a modified version thereof
+ |  as a parser skeleton.  Alternatively, if you modify or redistribute
+ |  the parser skeleton itself, you may (at your option) remove this
+ |  special exception, which will cause the skeleton and the resulting
+ |  Bison output files to be licensed under the GNU General Public
+ |  License without this special exception.
+ |
+ | This special exception was added by the Free Software Foundation in
+ | version 2.2 of Bison.  
+
+Files: lib/tas/src/lua/* lib/tas/lua_licence.txt
+Copyright: © 1994-2004 Tecgraf, PUC-Rio
+Licence: other-BSD
+ |* Copyright (C) 1994-2004 Tecgraf, PUC-Rio.  All rights reserved.
+ |
+ | Permission is hereby granted, free of charge, to any person obtaining
+ | a copy of this software and associated documentation files (the
+ | "Software"), to deal in the Software without restriction, including
+ | without limitation the rights to use, copy, modify, merge, publish,
+ | distribute, sublicense, and/or sell copies of the Software, and to
+ | permit persons to whom the Software is furnished to do so, subject to
+ | the following conditions:
+ |
+ | The above copyright notice and this permission notice shall be
+ | included in all copies or substantial portions of the Software.
+ |
+ | THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+ | EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+ | MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+ | IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
+ | CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
+ | TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
+ | SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+Files: lib/quagga/src/quagga.h lib/quagga/src/olsrd_plugin.c lib/quagga.c
+Copyright: © 2006 Immo 'FaUl' Wehrenberg <immo@chaostreff-dortmund.de>
+Licence: GPL-2+
+ lib/quagga/src/quagga.h is free software; you can redistribute it and/or 
+ modify it under the terms of the GNU General Public License as published
+ by the Free Software Foundation; either version 2, or (at your option)
+ any later version.
+ On Debian systems, the full text of the GPL is available at
+ /usr/share/common-licenses/GPL-2
+
+Files: lib/quagga/src/quagga/zebra.h
+Copyright: © 1997, 1998, 1999, 2000, 2001, 2002 Kunihiro Ishiguro 
+Licence: GPL-2+
+ lib/quagga/zebra.h is free software; you can redistribute it and/or 
+ modify it under the terms of the GNU General Public License as published
+ by the Free Software Foundation; either version 2, or (at your option)
+ any later version.
+ On Debian systems, the full text of the GPL-2+ is available at
+ /usr/share/common-licenses/GPL-2
+
+Files: lib/secure/src/md5.(c|h)
+Copyright: © 1991, 1992 RSA Data Security, Inc. Created 1991. 
+Licence: other
+ | All rights reserved.
+ | License to copy and use this software is granted provided that it
+ |  is identified as the "RSA Data Security, Inc. MD5 Message-Digest
+ |  Algorithm" in all material mentioning or referencing this software
+ |  or this function.
+ |
+ |  License is also granted to make and use derivative works provided
+ |  that such works are identified as "derived from the RSA Data
+ |  Security, Inc. MD5 Message-Digest Algorithm" in all material
+ |  mentioning or referencing the derived work.  
+ |                                                                   
+ |  RSA Data Security, Inc. makes no representations concerning either
+ |  the merchantability of this software or the suitability of this
+ |  software for any particular purpose. It is provided "as is"
+ |  without express or implied warranty of any kind.  
+ |                                                                   
+ |  These notices must be retained in any copies of any part of this
+ |  documentation and/or software.  
+
diff --git a/debian/olsrd-default b/debian/olsrd-default
new file mode 100644 (file)
index 0000000..00dac53
--- /dev/null
@@ -0,0 +1,24 @@
+# Defaults for olsrd initscript
+# sourced by /etc/init.d/olsrd
+# installed at /etc/default/olsrd by the maintainer scripts
+
+#
+# This is a POSIX shell fragment
+#
+
+#
+# uncomment the next line run olsrd automatically at startup
+#
+#START_OLSRD="YES"
+
+#
+# debuglevel from 1 (=quiet) to 9 (=max debug)
+# for running from init.d 0 is recommended
+#
+DEBUGLEVEL=0
+
+#
+# "command-line options"
+#
+DAEMON_OPTS="-f /etc/olsrd/olsrd.conf -d $DEBUGLEVEL"
+
diff --git a/debian/olsrd-plugins.dirs b/debian/olsrd-plugins.dirs
new file mode 100644 (file)
index 0000000..51b9280
--- /dev/null
@@ -0,0 +1 @@
+usr/lib/olsrd
diff --git a/debian/olsrd-plugins.docs b/debian/olsrd-plugins.docs
new file mode 100644 (file)
index 0000000..16e45f8
--- /dev/null
@@ -0,0 +1,8 @@
+lib/dyn_gw/README_DYN_GW
+lib/httpinfo/README_HTTPINFO
+lib/dot_draw/README_DOT_DRAW
+lib/nameservice/README_NAMESERVICE
+lib/secure/README_SECURE
+lib/bmf/README_BMF
+lib/quagga/README_QUAGGA
+lib/txtinfo/README_TXTINFO 
diff --git a/debian/olsrd.conf b/debian/olsrd.conf
new file mode 100644 (file)
index 0000000..31775b5
--- /dev/null
@@ -0,0 +1,18 @@
+#
+# olsr.org OLSR daemon config file
+#
+# Lines starting with a # are discarded
+#
+# This file was shipped with the debian olsrd package
+#
+
+# Interfaces and their rules
+# Omitted options will be set to the
+# default values. Multiple interfaces
+# can be specified in the same block
+# and multiple blocks can be set.
+
+#Interface "eth1" "eth0" "wlan0" "wlan1" "ath0" "ath1"
+Interface "eth1" 
+{
+}
diff --git a/debian/olsrd.dirs b/debian/olsrd.dirs
new file mode 100644 (file)
index 0000000..34a2cc6
--- /dev/null
@@ -0,0 +1,3 @@
+usr/sbin
+etc/default/
+etc/olsrd
diff --git a/debian/olsrd.docs b/debian/olsrd.docs
new file mode 100644 (file)
index 0000000..19331e7
--- /dev/null
@@ -0,0 +1,2 @@
+README-Olsr-Extensions
+
diff --git a/debian/olsrd.init b/debian/olsrd.init
new file mode 100644 (file)
index 0000000..2168853
--- /dev/null
@@ -0,0 +1,84 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          olsrd
+# Required-Start:    $network $remote_fs $syslog
+# Required-Stop:     $network $remote_fs $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: /etc/init.d/olsrd: start olsrd
+### END INIT INFO
+
+#              Based on skeleton script written by Miquel van Smoorenburg <miquels@cistron.nl>.
+#              Modified for Debian 
+#              by Ian Murdock <imurdock@gnu.ai.mit.edu>.
+#              Modified for olsrd
+#              by Holger Levsen <debian@layer-acht.org>
+# 
+# Version:     21-Dec-2006  
+# modified:     01-Aug-2007
+#              31-Jun-2008
+#              30-May-2009
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/olsrd
+NAME=olsrd
+DESC=olsrd
+
+PID_FILE=/var/run/$NAME.pid
+
+test -x $DAEMON || exit 0
+
+# Include olsrd defaults if available
+if [ -f /etc/default/olsrd ] ; then
+       . /etc/default/olsrd
+fi
+
+set -e
+
+case "$1" in
+  debug)
+       echo -n "Starting $DESC: "
+       start-stop-daemon --start --quiet --exec $DAEMON --pidfile $PID_FILE -- $DAEMON_OPTS &
+       # sleep til olsrd has been started
+       while ! pidof $NAME > /dev/null ; do 
+         sleep 1
+       done
+       echo "$NAME."
+       echo $(pidof $NAME) > $PID_FILE
+       ;;
+  start)
+       if [ "$START_OLSRD" != "YES" ] ; then exit 0 ; fi
+       if [ $(pidof $NAME) -eq 0 ] ; then 
+               echo "$NAME already running, doing nothing."
+               exit 0
+       fi
+       echo -n "Starting $DESC: "
+       start-stop-daemon --start --quiet --exec $DAEMON --pidfile $PID_FILE -- $DAEMON_OPTS &
+       # sleep til olsrd has been started
+       while ! pidof $NAME > /dev/null ; do 
+         sleep 1
+       done
+       echo "$NAME."        
+       echo $(pidof $NAME) > $PID_FILE
+       ;;
+  stop)
+       pidof $NAME || exit 0
+       echo -n "Stopping $DESC: "
+       start-stop-daemon --stop  --quiet --exec $DAEMON --pidfile $PID_FILE
+        rm -f $PID_FILE
+       echo "$NAME."
+       ;;
+  restart|force-reload)
+       echo -n "Restarting $DESC: "
+       $0 stop
+       sleep 1
+       $0 start
+       ;;
+  *)
+       N=/etc/init.d/$NAME
+       echo "Usage: $N {start|stop|restart}" >&2
+       exit 1
+       ;;
+esac
+
+exit 0
diff --git a/debian/olsrd.postinst b/debian/olsrd.postinst
new file mode 100644 (file)
index 0000000..1ecae81
--- /dev/null
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+# Recover from incorrect init.d script headers in version 0.5.6-r5-1 and earlier
+if [ "$1" = "configure" ] && dpkg --compare-versions "$2" le "0.5.6-r5-1" \
+   && [ -f /etc/rcS.d/S[0-9][0-9]olsrd ] \
+   && ! [ -f /etc/rc2.d/S[0-9][0-9]olsrd ] ; then
+    update-rc.d -f olsrd remove
+fi
+
+#DEBHELPER#
diff --git a/debian/rules b/debian/rules
new file mode 100644 (file)
index 0000000..435398c
--- /dev/null
@@ -0,0 +1,100 @@
+#!/usr/bin/make -f
+# Holger Levsen, 2006-12, based on 
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# plugins to be build (not build per default are: tas powerinfo pgraph mini quagga)
+#      (fixme?: if you add them here, they are build but their README is not 
+#      copied to /usr/share/doc/olsrd-plugins/)
+#
+# you dont need to edit this file. export PLUGIS=foo ; fakeroot ./debian/rules binary
+# is enough for a rebuild :)
+PLUGINS ?= dyn_gw httpinfo dot_draw nameservice secure txtinfo bmf quagga
+#hack: - also needs debian/patches/240-plugin-install-targets.patch - this has been reported to upstream...
+PLUGINS_INSTALL ?= dyn_gw_install httpinfo_install dot_draw_install nameservice_install secure_install txtinfo_install bmf_install quagga_install
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+       CFLAGS += -O0
+else
+       CFLAGS += -O2
+endif
+
+configure: configure-stamp
+configure-stamp:
+       dh_testdir
+       # Add here commands to configure the package.
+       QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
+       
+       touch configure-stamp
+
+build: build-stamp
+
+build-stamp: configure-stamp 
+       dh_testdir
+
+       # Add here commands to compile the package.
+       $(MAKE)
+       $(MAKE) $(PLUGINS)
+
+       touch $@
+
+clean:
+       dh_testdir
+       dh_testroot
+       rm -f build-stamp configure-stamp
+
+       # Add here commands to clean up after the build process.
+       -$(MAKE) clean_all
+       rm -f $(CURDIR)/lib/*/src/*.o $(CURDIR)/lib/*/*.so.?.?
+       QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
+
+       dh_clean 
+
+install: build
+       dh_testdir
+       dh_testroot
+       dh_clean -k 
+       dh_installdirs
+
+       # Add here commands to install the package into debian/olsrd.
+       $(MAKE) DESTDIR=$(CURDIR)/debian/olsrd install STRIP=: 
+       $(MAKE) DESTDIR=$(CURDIR)/debian/olsrd-plugins LIBDIR=$(CURDIR)/debian/olsrd-plugins/usr/lib/olsrd $(PLUGINS_INSTALL) STRIP=:
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+       dh_testdir
+       dh_testroot
+       dh_installchangelogs -polsrd CHANGELOG -polsrd-plugins
+       dh_installdocs
+       dh_installinit
+       dh_installman
+       dh_link
+       dh_strip
+       # compress, but don't compress README_NAMESERVICE, for consistency reasons
+       dh_compress -XREADME_NAMESERVICE -XREADME_BMF
+       # provide better default config
+       rm $(CURDIR)/debian/olsrd/etc/olsrd.conf
+       cp $(CURDIR)/debian/olsrd.conf $(CURDIR)/debian/olsrd/etc/olsrd/olsrd.conf
+       cp  $(CURDIR)/debian/olsrd-default $(CURDIR)/debian/olsrd/etc/default/olsrd
+       dh_fixperms
+       dh_installdeb
+       dh_shlibdeps
+       dh_gencontrol
+       dh_md5sums
+       dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
diff --git a/debian/todo b/debian/todo
new file mode 100644 (file)
index 0000000..4d2f2a4
--- /dev/null
@@ -0,0 +1 @@
+- remove debian/patches/240-plugin-install-targets.patch
similarity index 100%
rename from lib/bmf/README_BMF.txt
rename to lib/bmf/README_BMF
index 38d6814..2c8e078 100644 (file)
@@ -4,7 +4,7 @@
 
 ARCH := $(shell uname -m)
 DESTDIR ?=
-LIBDIR =       $(DESTDIR)$(shell if [ "$(ARCH)" = "x86_64" -a -d "/usr/lib64" ]; then echo "/usr/lib64"; else echo "/usr/lib"; fi)
+LIBDIR =       $(DESTDIR)/usr/lib
 
 SRCS +=        $(wildcard src/linux/*.c src/unix/*.c)
 HDRS +=                $(wildcard src/linux/*.h src/unix/*.h)
index e686d8c..8bd3329 100644 (file)
@@ -129,7 +129,7 @@ ohs_cmd_olsrd(const char *args)
 
     if (1) {                    /* config file is set */
       olsrd_args[argc++] = "-f";
-      olsrd_args[argc++] = "/etc/olsrd-emu.conf";
+      olsrd_args[argc++] = "./olsrd.emu.conf";
     }
     olsrd_args[argc++] = "-hemu";
     olsrd_args[argc++] = tok_buf;
index ef69834..4d2d4ca 100644 (file)
@@ -240,7 +240,7 @@ To stop that same instance do:
 </P>
 <H2>Running olsrd in host-emulation mode</H2>
 <P>Now for a real world example of connecting olsrd instances. Let's
-assume we have a modified configuration file, <I>/etc/olsrd.emu.conf</I>
+assume we have a modified configuration file, <I>./olsrd.emu.conf</I>
 that we use for host-emu instances. We'll choose the 10.0.0.0/24 IP
 address space for our clients.<BR>First start the olsr_switch in one
 terminal: